0

I am looking for mod_ssl configuration which protects against common attacks like Breach, Beast and Crime. I already disabled gzip to avoid Crime but I'm unsure about the others. RC4 should only be available to mitigate Beast.

Furthermore I am looking for a proper forward secrecy if possible.

This is a part of my current SSL vhost

SSLProtocol all -SSLv2
SSLHonorCipherOrder on

<Location />
    SetEnv no-gzip
</Location>

SSLCipherSuite "EECDH+AESGCM EDH+AESGCM EECDH -RC4 EDH -CAMELLIA -SEED !aNULL !eNULL !LOW !3DES !MD5 !EXP !PSK !SRP !DSS !RC4"
2

Here are some hints regarding where to find more information on SSL-setups and attack-mitigations: Ciphers depend on the OpenSSL version running on your server:

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.